SYSTEMD-CGLS(1)

BEZEICHNUNG
systemd-cgls - Rekursiv Control-Gruppen-Inhalte anzeigen

ÜBERSICHT

systemd-cgls [OPTIONEN…] [CGROUP…]

systemd-cgls [OPTIONEN…] --unit|--user-unit [UNIT…]

BESCHREIBUNG

systemd-cgls zeigt die Inhalte der ausgewählten Linux-Control-Gruppen-Hierarchie rekursiv in einem Baum an. Falls Argumente angegeben sind, werden alle Mitgliederprozesse der angegebenen Control-Gruppen sowie alle ihrer Untergruppen und ihrer Mitglieder angezeigt. Die Control-Gruppen können entweder durch ihren kompletten Dateipfad angegeben werden oder es wird angenommen, dass sie in der Systemd-Control-Gruppen-Hierarchie sind. Falls kein Argument angegeben ist und das aktuelle Arbeitsverzeichnis unterhalb des Einhängepunktes /sys/fs/cgroup/ der Control-Gruppe ist, wird der Inhalt der Control-Gruppe, auf die sich das Arbeitsverzeichnis bezieht, angezeigt. Andernfalls wird die komplette Systemd-Control-Gruppen-Hierarchie angezeigt.

Standardmäßig werden leere Gruppen nicht angezeigt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--all
    Versteckt leere Control-Gruppen in der Ausgabe nicht.

-l, --full
    Verkürzt Prozessbaumeinträge nicht.

-u, --unit
    Zeigt Cgroup-Unterbäume für die angegebenen Units an.

--user-unit
    Zeigt Cgroup-Unterbäume für die angegebenen Benutzer-Units an.

-k
    Nimmt Kernel-Threads in die Ausgabe auf.

-M MASCHINE, --machine=MASCHINE
    Schränkt angezeigte Control-Gruppen auf den dem Container MASCHINE entsprechenden Teil ein.

--xattr=
    Steuert, ob Informationen über erweiterte Attribute der aufgeführten Control-Gruppen in die Ausgabe aufgenommen werden sollen. Erwartet einen logischen Wert, standardmäßig »yes«.

--cgroup-id=
    Steuert, ob die numerische Kennung der aufgeführten Control-Gruppen in die Ausgabe aufgenommen werden sollen. Erwartet einen logischen Wert, standardmäßig »yes«.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemctl(1), systemd-cgtop(1), systemd-nspawn(1), ps(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).